org.eclipse.rdf4j.query.parser.serql

## Class SeRQLParserTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.query.parser.serql.SeRQLParserTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public abstract class SeRQLParserTestCase
      extends junit.framework.TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SeRQLParserTestCase.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeRQLParserTestCase(String name, String queryFile, Value result)` Creates a new SeRQL Parser test.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract QueryParser` | `createParser()`
    `protected void` | `runTest()`
    `static junit.framework.Test` | `suite(SeRQLParserTestCase.Factory factory)`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeRQLParserTestCase

          public SeRQLParserTestCase(String name,
                                     String queryFile,
                                     Value result)

      Creates a new SeRQL Parser test.

  - ### Method Detail

    - #### runTest

          protected void runTest()
                          throws Exception

      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### createParser

          protected abstract QueryParser createParser()

    - #### suite

          public static junit.framework.Test suite(SeRQLParserTestCase.Factory factory)
                                            throws Exception

      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.